/* UNIVERSAL */

html,
body {
  margin: 0;
  padding: 0;
  left: 0;
  top: 0;
  font-size: 100%;
  background-color: black;
  color: #efefef;
}

/* ROOT FONT STYLES */

* {
  font-family: Menlo,Consolas,"DejaVu Sans Mono",Monaco,monospace;;
  font-weight: 100;
  line-height: 1.5;
  box-sizing: border-box;
  margin: 0;
}

b{
  font-weight: 700;
  color: red;
}

a{
  color: #ce7891;
  text-decoration: dashed underline;

}

a:hover{
  text-decoration: underline;
}

img{
  width: 100%;
  height: auto;
}

/* for random image placements*/
.image {
  position: absolute;
  transition: all 0.5s ease;
}

/* TYPOGRAPHY */

h1 {
  font-size: 1.2rem;
  text-transform: uppercase;
  color:#177e89;
}


.highlight {
    display: inline;
    background-color: #ce7891;
    position: relative;
    color: black;
}

.mini-title{
  font-size: 13px;
}

.h1-left{
  text-align: left;
  float: left;
  margin-left: -12%;
}

.h1-right{
  text-align: right;
  float: right;
  margin-right: -12%;
}

h2 {
  font-size: 1.5rem;
}

h3 {
  font-size: 1.375rem;
  z-index: 20;
  position: relative; 
}

h4 {
  font-size: 1.125rem;
}

h5 {
  font-size: 1rem;
}

h6 {
  font-size: 0.875rem;
}

p {
  font-size: 0.65rem;
  font-weight: lighter;
  line-height: 0.8rem;
  margin: 0;
  z-index: 20;
  position: relative;
}

.font-light {
  font-weight: 300;
}

.font-regular {
  font-weight: 400;
}

.font-heavy {
  font-weight: 700;
}

.green{
  color: rgb(0, 255, 0);
  font-size: 9px;
}

/* POSITIONING */

.left {
  text-align: left;
}

.right {
  text-align: right;
}

.center {
  text-align: center;
  margin-left: auto;
  margin-right: auto;
}

.justify {
  text-align: justify;
}

/* ==== FLEX SYSTEM ==== */

.container {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 80%;
  margin-left: auto;
  margin-right: auto;
  gap: 1rem;
}

.row {
  display: flex;
  width: 100%;
  flex-wrap: wrap;
  min-height: var(--min-height, 0.125rem);
  clear: both;
}

[class^="col"] {
  flex: 1 0 100%;
  position: relative;
  /*padding-left: 20px;
  padding-right: 20px;*/
}

/* Breakout styles */
.breakout-left,
.breakout-right {
  position: relative;
}

.breakout-left {
    margin-left: calc((100vw / 10)*-1);
    text-align: left;
}

.breakout-right {
    margin-right: calc((100vw / 10)*-1);
    text-align: right;
}

.random-grid-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(calc(100% / 3 - 10px), 1fr));
  gap: 10px;
}
.random-grid-container img {
  width: 100%;
  height: auto;
}



/* Apply to any element to set an image background */
/* Apply to any element to set an image background */
.image-background {
    position: relative;
}

.image-background::before {
    content: "";
    position: absolute;
    width:100%;
    height: var(--bg-height, 300%); /* Use the variable or default to 300% */
    opacity: var(--opacity, 0.5);
    background-image: var(--bg-url, none);
    background-size: cover;
    background-repeat: no-repeat;
    z-index: 0;
    pointer-events: none;
}

/* script layouts */

.slide_title{
  margin-bottom: 1.2rem;
  margin-top: 1.0rem;
  font-weight: lighter;
  color: #177e89;
  font-size: 1rem;
}

.stage_direction{
  color: #00ff00;
  font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  font-style: italic;
  font-size: 1.2rem;
  margin-left: 1.4rem;
}

.spoken{
  color: rgb(210, 210, 210);
  font-family:'Times New Roman', Times, serif;
  font-size: 1.2rem;
  margin-left: 1.4rem;
}
  

@media only screen and (min-width: 33.75em) {  /* 540px */
  .container {
    width: 80%;
  }
}



@media only screen and (min-width: 45em) {  /* 720px */
  .random-grid-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(calc(100% / 6 - 10px), 1fr));
    gap: 10px;
  }

  .mini-title{
    font-size: 15px;
  }

  .green{
    font-size: 15px;
  }

  .col-1 {
    flex: 1 0 4.33%;
  }

  .col-2 {
    flex: 1 0 12.66%;
  }

  .col-3 {
    flex: 1 0 21%;
  }

  .col-4 {
    flex: 1 0 29.33%;
  }

  .col-5 {
    flex: 1 0 37.66%;
  }

  .col-6 {
    flex: 1 0 46%;
  }

  .col-7 {
    flex: 1 0 54.33%;
  }

  .col-8 {
    flex: 1 0 62.66%;
  }

  .col-9 {
    flex: 1 0 71%;
  }

  .col-10 {
    flex: 1 0 79.33%;
  }

  .col-11 {
    flex: 1 0 87.66%;
  }

  .col-12 {
    flex: 1 0 96%;
  }

  .hidden-sm {
    display: block;
  }
}

@media only screen and (min-width: 60em) { /* 960px */
  p {
    font-size: 0.85rem;
    line-height: 0.95rem;
  }

  .mini-title{
    font-size: 17px;
  }

  .container {
    width: 75%;
    max-width: 60rem;
  }

  .hidden-sm {
    display: block;
  }
}

.khepri-title {
  padding: 15px 0;
}

.khepri-text {
  font-size: 15px;
  margin-left: 15px;
  color: darkgoldenrod;
}
